# Create workspace

Create a new workspace.

Endpoint: POST /iacm/api/orgs/{org}/projects/{project}/workspaces
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "t"

  - `project` (string, required)
    Project is the project identifier.
    Example: "ki"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "2m"

## Request fields (application/json):

  - `associated_template` (object)
    AssociatedTemplate defines the template details with template_id and version.
    Example: {"template_id":"k1","version":"e"}

  - `associated_template.template_id` (string)
    Template ID of the template associated to the Workspace.
    Example: "k1"

  - `associated_template.version` (string)
    Version of the template associated to the Workspace.
    Example: "e"

  - `budget` (number)
    define the budget for a specific workspace
    Example: 0.0694629

  - `ccm_cost_enabled` (boolean)
    define if CCM cost integration is enabled for this workspace
    Example: true

  - `cost_breakdown_json` (string)
    cost_breakdown_json is the identifier to the breakdown cost file from the current execution that was applied successfully
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `cost_diff_json` (string)
    cost_diff_json is the identifier to the diff cost file between the previous and current successful executions
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `cost_estimation_enabled` (boolean)
    define if cost estimation operations will be performed in this workspace
    Example: true

  - `default_pipelines` (object)
    List of default pipelines associated with this workspace and any per-workspace overrides.
    Example: {"Ducimus vel illum sit fugit accusamus.":{"project_pipeline":"Et ratione labore nesciunt repellendus.","workspace_pipeline":"Modi enim voluptatem necessitatibus ut ullam."},"Velit blanditiis debitis.":{"project_pipeline":"Et ratione labore nesciunt repellendus.","workspace_pipeline":"Modi enim voluptatem necessitatibus ut ullam."}}

  - `description` (string)
    Description provides long-form text about the resource.
    Example: "this is a more detailed explanation of the resource."

  - `environment_variables` (object, required)
    list of environment variables configured on the workspace.
    Example: {"Et eius accusamus occaecati.":{"key":"ai","value":"Dolorem ut ut soluta vero impedit.","value_type":"string"},"Et impedit.":{"key":"ai","value":"Dolorem ut ut soluta vero impedit.","value_type":"string"},"Voluptatem voluptatem dolores tempora voluptatem doloribus.":{"key":"ai","value":"Dolorem ut ut soluta vero impedit.","value_type":"string"}}

  - `id` (integer)
    ID PK for internal uses
    Example: 6192951050911789000

  - `identifier` (string, required)
    Workspace identifier.
    Example: "tm"

  - `modules_json` (string)
    modules_json is the identifier of any modules metadata associated with this workspace
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `name` (string, required)
    Name is the human readable name for the resource.
    Example: "resource name"

  - `provider_connector` (string, required)
    Provider Connector is the reference to the connector for the infrastructure provider.
    Example: "Ratione nemo eaque."

  - `provider_connectors` (array)
    define an array of provider connectors that belong to Workspace
    Example: [{"connector_ref":"25","created":1627590400,"id":3794488565502253600,"terragrunt_provider":true,"type":"vault","updated":1627686800,"workspace_id":7735085773534112000},{"connector_ref":"25","created":1627590400,"id":3794488565502253600,"terragrunt_provider":true,"type":"vault","updated":1627686800,"workspace_id":7735085773534112000}]

  - `provider_connectors.connector_ref` (string, required)
    Connector reference in harness platform.
    Example: "q9"

  - `provider_connectors.created` (integer)
    Timestamp when the connector was created.
    Example: 1627590400

  - `provider_connectors.id` (integer)
    ID PK for internal uses
    Example: 65387255425185950

  - `provider_connectors.terragrunt_provider` (boolean)
    Whether this workspace uses terragrunt to provision infrastructure
    Example: true

  - `provider_connectors.type` (string, required)
    Type indicates the connector type.
    Enum: "aws", "azure", "gcp", "vault"

  - `provider_connectors.updated` (integer)
    Timestamp when the connector was last updated.
    Example: 1627686800

  - `provider_connectors.workspace_id` (integer)
    Workspace ID FK for internal uses
    Example: 1645750277792183800

  - `providers_json` (string)
    providers_json is the identifier of any modules metadata associated with this workspace
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `provisioner` (string, required)
    Provisioner defines the provisioning tool to use.
    Example: "Dolorum nemo ut."

  - `provisioner_configuration` (string)
    Provisioner configuration metadata (key value pair provisioner specific configuration).
    Example: "In deserunt."

  - `provisioner_version` (string)
    Provisioner Version defines the tool version to use.
    Example: "Deserunt consectetur non tempora quo autem."

  - `prune_sensitive_data` (boolean)
    prune_sensitive_data is a flag to enable or disable pruning of sensitive data
    Example: true

  - `repository` (string)
    Repository is the name of the repository to use.
    Example: "Officia est fugiat ea aspernatur."

  - `repository_branch` (string)
    Repository Branch in which the code should be accessed.
    Example: "main"

  - `repository_commit` (string)
    Repository Commit/Tag in which the code should be accessed.
    Example: "abc10ed"

  - `repository_connector` (string)
    Repository Connector is the reference to the connector to use for this code.
    Example: "Laborum laborum quaerat."

  - `repository_path` (string)
    Repository Path is the path in which the infra code resides.

  - `repository_sha` (string)
    Repository SHA in which the code should be accessed.
    Example: "abc10ed"

  - `repository_submodules` (string)
    repository_submodules is the instruction about whether to clone submodules in the pipeline step
    Enum: "false", "true", "recursive"

  - `run_all` (boolean)
    Run-All terragrunt modules.
    Example: true

  - `sparse_checkout` (string)
    List of patterens that will be used for sparse checkout option of git clone
    Example: "Aut delectus ut alias."

  - `state_checksum` (string)
    state_checksum is the sha-256 checksum of terraform state file
    Example: "d21c1662d8ce2c74f24efdc8db93eb34473b86810aeccca4b1518f70b0ccde8f"

  - `tags` (object)
    Tags associated with the workspace.
    Example: {"cost-center":"engineering","environment":"production","team":"platform"}

  - `terraform_plan_json` (string)
    terraform_plan_json is the identifier to the current state file only in JSON format.
    Example: "f9e21473daaa2674d862b67a1339f4570e86de17"

  - `terraform_state` (string)
    terraform_state is the identifier to the plan file used to create the latest state.
    Example: "fc1200c7a7aa52109d762a9f005b149abef01479"

  - `terraform_state_json` (string)
    terraform_state_json is the identifier to the plan file used to create the latest state only in JSON format.
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `terraform_variable_files` (array)
    define an array of terraform variables files that belong to a different repository
    Example: [{"repository":"Omnis porro et ut deserunt et consectetur.","repository_branch":"main","repository_commit":"abc10ed","repository_connector":"Ad fugit inventore.","repository_path":"","repository_sha":"abc10ed"},{"repository":"Omnis porro et ut deserunt et consectetur.","repository_branch":"main","repository_commit":"abc10ed","repository_connector":"Ad fugit inventore.","repository_path":"","repository_sha":"abc10ed"},{"repository":"Omnis porro et ut deserunt et consectetur.","repository_branch":"main","repository_commit":"abc10ed","repository_connector":"Ad fugit inventore.","repository_path":"","repository_sha":"abc10ed"}]

  - `terraform_variable_files.repository` (string, required)
    Repository is the name of the repository to use.
    Example: "Vitae et odio ex ducimus."

  - `terraform_variable_files.repository_branch` (string)
    Repository Branch in which the code should be accessed.
    Example: "main"

  - `terraform_variable_files.repository_commit` (string)
    Repository Commit/Tag in which the code should be accessed.
    Example: "abc10ed"

  - `terraform_variable_files.repository_connector` (string)
    Repository Connector is the reference to the connector to use for this code.
    Example: "Sed libero fuga explicabo vel explicabo impedit."

  - `terraform_variable_files.repository_path` (string)
    Repository Path is the path in which the infra code resides.

  - `terraform_variable_files.repository_sha` (string)
    Repository SHA in which the code should be accessed.
    Example: "abc10ed"

  - `terraform_variables` (object, required)
    list of terraform variables configured on the workspace.
    Example: {"Consectetur consectetur explicabo.":{"key":"ai","value":"Dolorem ut ut soluta vero impedit.","value_type":"string"},"Nulla inventore.":{"key":"ai","value":"Dolorem ut ut soluta vero impedit.","value_type":"string"}}

  - `terragrunt_provider` (boolean)
    Whether this workspace uses terragrunt to provision infrastructure
    Example: true

  - `terragrunt_version` (string)
    Terragrunt Version to use when provisioner is terragrunt.
    Example: "Iste et eum recusandae ut culpa voluptas."

  - `variable_sets` (array)
    Attached Variable Sets references
    Example: ["Est corrupti amet.","Consequatur repellat officiis.","Quasi ipsam nobis possimus id."]

## Response 200 fields (application/json):

  - `policy_evaluation` (object)
    The result of a single evaluation
    Example: {"account_id":"XRQAjvT37acOiXx9PRaQMF","action":"onrun","created":1636370209475,"details":[{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674}],"entity":"7bbca5d4-e9f2-4955-9b2a-019ec4d3645e","entity_metadata":"7bbca5d4-e9f2-4955-9b2a-019ec4d3645e","id":123,"input":"","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline,service"}

  - `policy_evaluation.account_id` (string, required)
    The Harness account in which the evaluation was performed
    Example: "XRQAjvT37acOiXx9PRaQMF"

  - `policy_evaluation.action` (string, required)
    The action that triggered evaluation
    Example: "onrun"

  - `policy_evaluation.created` (integer, required)
    The time at which the evaluation was performed in Unix time milliseconds
    Example: 1636370209475

  - `policy_evaluation.details` (array, required)
    The detailed results of te evaluation
    Example: [{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674}]

  - `policy_evaluation.details.account_id` (string, required)
    Harness account ID associated with this policy set
    Example: "eBqAoNchMLKigC_qZ5EdC"

  - `policy_evaluation.details.action` (string, required)
    Action that triggers the policy set
    Example: "onrun"

  - `policy_evaluation.details.created` (integer, required)
    Time the policy set was created
    Example: 1636669297674

  - `policy_evaluation.details.description` (string)
    Description of the policy set
    Example: "Captures critical production policies"

  - `policy_evaluation.details.details` (array, required)
    Example: [{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}]

  - `policy_evaluation.details.details.deny_messages` (array, required)
    The values of any deny rego rules as returned by the rego engine
    Example: ["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"]

  - `policy_evaluation.details.details.output` (any, required)
    The output returned by the rego engine when this policy was evaluated
    Example: "{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}"

  - `policy_evaluation.details.details.policy` (object, required)
    Example: {"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674}

  - `policy_evaluation.details.details.policy.account_id` (string, required)
    Harness account ID associated with this policy
    Example: "eBqAoNchMLKigC_qZ5EdC"

  - `policy_evaluation.details.details.policy.created` (integer, required)
    Time the policy was created
    Example: 1636669297674

  - `policy_evaluation.details.details.policy.identifier` (string, required)
    identifier of the policy
    Example: "policy-1"

  - `policy_evaluation.details.details.policy.name` (string, required)
    Name of the policy
    Example: "Pipeline Approval"

  - `policy_evaluation.details.details.policy.org_id` (string, required)
    Harness organization ID associated with this policy
    Example: "test-org"

  - `policy_evaluation.details.details.policy.project_id` (string, required)
    Harness project ID associated with this policy
    Example: "test-project"

  - `policy_evaluation.details.details.policy.rego` (string, required)
    Rego that defines the policy

  - `policy_evaluation.details.details.policy.updated` (integer, required)
    Time the policy was last updated
    Example: 1636669297674

  - `policy_evaluation.details.details.rego_error` (string, required)
    Any errors returned by the rego engine when this policy was evaluated
    Example: "policy.rego:25: rego_parse_error: non-terminated string m == \"test"

  - `policy_evaluation.details.details.status` (string, required)
    The overall status for this individual policy indicating whether it passed
    Enum: "error", "warning", "pass"

  - `policy_evaluation.details.enabled` (boolean, required)
    Only enabled policy sets are evaluated when evaluating by type/action
    Example: true

  - `policy_evaluation.details.identifier` (string, required)
    Identifier of the policy set
    Example: "policyset-1"

  - `policy_evaluation.details.name` (string, required)
    Name of the policy set
    Example: "Production Policies"

  - `policy_evaluation.details.org_id` (string, required)
    Harness organization ID associated with this policy set
    Example: "test-org"

  - `policy_evaluation.details.project_id` (string, required)
    Harness project ID associated with this policy set
    Example: "test-project"

  - `policy_evaluation.details.status` (string, required)
    The overall status for this policy set indicating whether it passed
    Enum: "error", "warning", "pass"

  - `policy_evaluation.details.type` (string, required)
    Type of input suitable for the policy set
    Example: "pipeline"

  - `policy_evaluation.details.updated` (integer, required)
    Time the policy set was last updated
    Example: 1636669297674

  - `policy_evaluation.entity` (string, required)
    An arbitrary user-supplied string that globally identifies the entity under evaluation
    Example: "7bbca5d4-e9f2-4955-9b2a-019ec4d3645e"

  - `policy_evaluation.entity_metadata` (string, required)
    Additional arbitrary user-supplied metadata about the entity under evaluation
    Example: "7bbca5d4-e9f2-4955-9b2a-019ec4d3645e"

  - `policy_evaluation.id` (integer, required)
    The ID of this evaluation
    Example: 123

  - `policy_evaluation.input` (any, required)
    The input provided at evaluation time

  - `policy_evaluation.org_id` (string, required)
    The Harness organisation in which the evaluation was performed
    Example: "test-org"

  - `policy_evaluation.project_id` (string, required)
    The Harness project in which the evaluation was performed
    Example: "test-project"

  - `policy_evaluation.status` (string, required)
    The overall status of the evaluation indicating whether it passed
    Enum: "error", "warning", "pass"

  - `policy_evaluation.type` (string, required)
    The types of the entity under evaluation
    Example: "pipeline,service"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `policy_evaluation` (object)
    The result of a single evaluation
    Example: {"account_id":"XRQAjvT37acOiXx9PRaQMF","action":"onrun","created":1636370209475,"details":[{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674},{"account_id":"eBqAoNchMLKigC_qZ5EdC","action":"onrun","created":1636669297674,"description":"Captures critical production policies","details":[{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"},{"deny_messages":["deployment stage 'example-stage' does not have a HarnessApproval step","deployment stage 'example-stage' has step 'run-script' that is forbidden type 'ShellScript'"],"output":"{\n    \"deny\": [\n        \"deployment stage 'deploy' does not have a HarnessApproval step\"\n    ],\n    \"stages_with_approval\": []\n}","policy":{"account_id":"eBqAoNchMLKigC_qZ5EdC","created":1636669297674,"identifier":"policy-1","name":"Pipeline Approval","org_id":"test-org","project_id":"test-project","rego":"","updated":1636669297674},"rego_error":"policy.rego:25: rego_parse_error: non-terminated string m == \"test","status":"error"}],"enabled":true,"identifier":"policyset-1","name":"Production Policies","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline","updated":1636669297674}],"entity":"7bbca5d4-e9f2-4955-9b2a-019ec4d3645e","entity_metadata":"7bbca5d4-e9f2-4955-9b2a-019ec4d3645e","id":123,"input":"","org_id":"test-org","project_id":"test-project","status":"error","type":"pipeline,service"}

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true

## Response 401 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


